summaryrefslogtreecommitdiffstats
path: root/libraries/libopenmpt
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2021-05-31 20:48:03 +0200
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2021-06-01 21:46:58 +0700
commit91746d144e8520b5a9d691b240173fc69208da81 (patch)
treef3becfc1d3242aa39e1b48a4566e776bbde64840 /libraries/libopenmpt
parentf7546958c48e3cca633175950b0ea55e948e9dcc (diff)
downloadslackbuilds-91746d144e8520b5a9d691b240173fc69208da81.tar.gz
slackbuilds-91746d144e8520b5a9d691b240173fc69208da81.tar.xz
libraries/libopenmpt: Added (OpenMPT based module player library).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libopenmpt')
-rw-r--r--libraries/libopenmpt/README6
-rw-r--r--libraries/libopenmpt/libopenmpt.SlackBuild101
-rw-r--r--libraries/libopenmpt/libopenmpt.info10
-rw-r--r--libraries/libopenmpt/slack-desc21
4 files changed, 138 insertions, 0 deletions
diff --git a/libraries/libopenmpt/README b/libraries/libopenmpt/README
new file mode 100644
index 0000000000..7573f7a1ac
--- /dev/null
+++ b/libraries/libopenmpt/README
@@ -0,0 +1,6 @@
+libopenmpt is a cross-platform C++ and C library to decode tracked
+music files (modules) into a raw PCM audio stream.
+Is based on the player code of the OpenMPT project (Open ModPlug
+Tracker).
+This script packages also openmpt123, a cross-platform command-line
+or terminal based module file player, shipped with the library.
diff --git a/libraries/libopenmpt/libopenmpt.SlackBuild b/libraries/libopenmpt/libopenmpt.SlackBuild
new file mode 100644
index 0000000000..de3c6c7b60
--- /dev/null
+++ b/libraries/libopenmpt/libopenmpt.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for libopenmpt
+
+# Copyright 2021 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libopenmpt
+VERSION=${VERSION:-0.5.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION+release.autotools
+tar xvf $CWD/$PRGNAM-$VERSION+release.autotools.tar.gz
+cd $PRGNAM-$VERSION+release.autotools
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --enable-silent-rules \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libopenmpt/libopenmpt.info b/libraries/libopenmpt/libopenmpt.info
new file mode 100644
index 0000000000..65e0671ad8
--- /dev/null
+++ b/libraries/libopenmpt/libopenmpt.info
@@ -0,0 +1,10 @@
+PRGNAM="libopenmpt"
+VERSION="0.5.9"
+HOMEPAGE="https://lib.openmpt.org/"
+DOWNLOAD="https://lib.openmpt.org/files/libopenmpt/src/libopenmpt-0.5.9+release.autotools.tar.gz"
+MD5SUM="caa2f5e012660b1af92290adca11ff82"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="portaudio"
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/libraries/libopenmpt/slack-desc b/libraries/libopenmpt/slack-desc
new file mode 100644
index 0000000000..99bcb080be
--- /dev/null
+++ b/libraries/libopenmpt/slack-desc
@@ -0,0 +1,21 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libopenmpt: libopenmpt (OpenMPT based module player library)
+libopenmpt:
+libopenmpt: libopenmpt is a cross-platform C++ and C library to decode tracked
+libopenmpt: music files (modules) into a raw PCM audio stream.
+libopenmpt: Is based on the player code of the OpenMPT project (Open ModPlug
+libopenmpt: Tracker).
+libopenmpt: This script packages also openmpt123, a cross-platform command-line
+libopenmpt: or terminal based module file player, shipped with the library.
+libopenmpt:
+libopenmpt: homepage: https://lib.openmpt.org
+libopenmpt:
+libopenmpt:
+libopenmpt: